matrix_decompose.hpp File Reference

GLM_GTX_matrix_decompose More...

Go to the source code of this file.

## Functions

template<typename T , precision P>
GLM_FUNC_DECL bool | decompose (tmat4x4< T, P > const &modelMatrix, tvec3< T, P > &scale, tquat< T, P > &orientation, tvec3< T, P > &translation, tvec3< T, P > &skew, tvec4< T, P > &perspective)
| Decomposes a model matrix to translations, rotation and scale components. More...

## Detailed Description

GLM_GTX_matrix_decompose

See also
  GLM Core (dependence)

Definition in file matrix_decompose.hpp.